<app-header title="My Diet"></app-header>
<ion-content *ngIf="dispatchView; else dataAwaitedBlk">
  <div class="eh-px-12">
    <ng-container *ngIf="isPackageSubscribed; else isPackageNotSubscribedBlk">
      <ng-container *ngIf="isWaitingForFirstDiet">
        <div class="eh-h-100p" fxLayout="column" fxLayoutAlign="center center">
          <mat-icon class="e-mat-icon e-mat-icon--2 e-mat-icon--matgrey500">hourglass_bottom</mat-icon>
          <span class="e-txt e-txt--placeholder eh-txt-center">Hang tight - while Kinita & team work out the best
            diets for
            you.</span>
          <span class="e-txt e-txt--placeholder">Please check back soon.</span>
        </div>
      </ng-container>
      <ng-container *ngIf="!isWaitingForFirstDiet">
        <div class="eh-maxw-1200 eh-h-100p eh-mx-auto eh-mb-6">
          <div class="eh-ofy-auto eh-hide-scrollbars" fxLayout="column">
            <div class="eh-pos-relative" fxLayout="column">
              <div class="eh-px-6 e-title" fxFlex="0 0 auto">Current</div>
              <div class="e-card2 eh-mt-8 eh-p-12">
                <div fxLayout="row">
                  <div class="e-avatar e-avatar--square" fxLayout="row" fxLayoutAlign="center center" fxFlex="none">
                    <mat-icon class="e-mat-icon e-mat-icon--1">restaurant</mat-icon>
                  </div>
                  <div class="eh-ml-16" fxFlex="grow">
                    <div class="eh-txt-bold">#{{currentSession.sessionNumber}}</div>
                    <div class="eh-txt-12">
                      Start: {{currentSession.startDate ? (currentSession.startDate | date:'mediumDate':'+0530') :
                      '-'}}
                    </div>
                  </div>
                </div>
                <div class="eh-mt-12 eh-txt-underline">{{currentSession.package.name}}</div>
                <div class="eh-txt-12">{{currentSession.package.description}}</div>
                <div class="eh-mt-12" fxLayout="row" fxLayoutAlign="space-between center">
                  <div fxLayout="row" fxLayoutAlign="start center">
                    <app-avatar [userUID]="currentSession.staff.uid" [size]="'medium'" [border]="true"
                      matTooltip="{{currentSession.staff.name}}"></app-avatar>
                    <span class="eh-txt-12 eh-ml-4">{{currentSession.staff.name}}</span>
                  </div>
                  <div *ngIf="currentSession.fileURL" class="eh-px-2" (click)="onDownloadFile(currentSession)">
                    <ion-icon name="download-outline" size="large">Dowload</ion-icon>
                  </div>
                </div>
              </div>
              <div class="e-card2 eh-mt-16 eh-ofy-auto eh-hide-scrollbars ">
                <mat-tab-group class="e-mat-tab-group e-mat-tab-group--1 e-mat-tab-group--1 eh-h-100p"
                  animationDuration="0ms" mat-align-tabs="center" [selectedIndex]="0" [disableRipple]="true">
                  <mat-tab label="Upcoming">
                    <ng-template matTabContent>
                      <ng-container *ngIf="futureSessions.length > 0; else noFutureSessionsBlock">
                        <div class="eh-pb-16 eh-ofy-scroll eh-hide-scrollbars">
                          <div *ngFor="let session of futureSessions" class="e-card2 eh-mt-16 eh-mx-16 eh-p-12">
                            <div fxLayout="row">
                              <div class="e-avatar e-avatar--square" fxLayout="row" fxLayoutAlign="center center"
                                fxFlex="none">
                                <mat-icon class="e-mat-icon e-mat-icon--1">restaurant</mat-icon>
                              </div>
                              <div class="eh-ml-16" fxFlex="grow">
                                <div class="eh-txt-bold">#{{session.sessionNumber}}</div>
                                <div class="eh-txt-12">
                                  Due: {{session.dueDate ? (session.dueDate | date:'mediumDate':'+0530') :
                                  '-'}}
                                </div>
                              </div>
                            </div>
                            <div class="eh-mt-12 eh-txt-underline">{{session.package.name}}</div>
                            <div class="eh-txt-12">{{session.package.description}}</div>
                            <div class="eh-mt-12" fxLayout="row" fxLayoutAlign="start center">
                              <app-avatar [userUID]="session.staff.uid" [size]="'medium'" [border]="true"
                                matTooltip="{{session.staff.name}}"></app-avatar>
                              <span class="eh-txt-12 eh-ml-4">{{session.staff.name}}</span>
                            </div>
                          </div>
                        </div>
                      </ng-container>
                    </ng-template>

                    <ng-template #noFutureSessionsBlock>
                      <div class="e-txt e-txt--placeholder eh-txt-center eh-p-16">
                        No upcoming diets available
                      </div>
                    </ng-template>
                  </mat-tab>
                  <mat-tab label="Previous">
                    <ng-template matTabContent>
                      <ng-container *ngIf="previousSessions.length > 0; else noPrevSessionsBlock">
                        <div class="eh-pb-16 eh-ofy-scroll eh-hide-scrollbars">
                          <div *ngFor="let session of previousSessions" class="e-card2 eh-mt-16 eh-mx-16 eh-p-12">
                            <div class="eh-pos-relative" fxLayout="row">
                              <div class="e-avatar e-avatar--square" fxLayout="row" fxLayoutAlign="center center"
                                fxFlex="none">
                                <mat-icon class="e-mat-icon e-mat-icon--1">restaurant</mat-icon>
                              </div>
                              <div class="eh-ml-16" fxFlex="grow">
                                <div class="eh-txt-bold">#{{session.sessionNumber}}</div>
                                <div class="eh-txt-12">
                                  Start: {{session.startDate ? (session.startDate | date:'mediumDate':'+0530') :
                                  '-'}}
                                </div>
                              </div>
                              <div class="eh-pos-absolute e-tag e-tag--matgrey500" style="right: 0; top: 0;">
                                Completed
                              </div>
                            </div>
                            <div class="eh-mt-12 eh-txt-underline">{{session.package.name}}</div>
                            <div class="eh-txt-12">{{session.package.description}}</div>
                            <div class="eh-mt-12" fxLayout="row" fxLayoutAlign="space-between center">
                              <div fxLayout="row" fxLayoutAlign="start center">
                                <app-avatar [userUID]="session.staff.uid" [size]="'medium'" [border]="true"
                                  matTooltip="{{session.staff.name}}"></app-avatar>
                                <span class="eh-txt-12 eh-ml-4">{{session.staff.name}}</span>
                              </div>
                              <a *ngIf="session.fileURL" class="eh-txt-12">
                                <div *ngIf="session.fileURL" class="eh-px-2"
                                  (click)="DownloadFile(session.fileURL, session.fileName)">
                                  <ion-icon name="download-outline" size="large"></ion-icon>
                                </div>
                              </a>
                            </div>
                          </div>
                        </div>
                      </ng-container>
                    </ng-template>
                  </mat-tab>
                </mat-tab-group>
              </div>

              <div *ngIf="isBehindSchedule" class="eh-pos-absolute eh-w-100p e-bg e-bg--ewhite"
                style="bottom: 0; z-index: 10;">
                <mat-divider class="e-mat-divider"></mat-divider>
                <div class="eh-h-56 eh-txt-12 e-txt e-txt--error" fxLayout="column" fxLayoutAlign="center center">
                  <span class="">
                    You have {{weeksLeft}} week(s) left in your package
                  </span>
                  <span>
                    You are behind schedule
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
  <ng-template #isPackageNotSubscribedBlk>
    <div class="eh-h-100v" fxLayout="column" fxLayoutAlign="center center">
      <span class="e-txt e-txt--placeholder">This is a PRO-member area.</span>
      <span class="e-txt e-txt--placeholder">Please subscribe to a package to access this section.</span>
      <button *ngIf="!me.flags.isOrientationScheduled" mat-stroked-button
        class="e-mat-button e-mat-button--eblue400 eh-mt-8" (click)="showDialog()">
        Resume On-boarding
      </button>
    </div>
  </ng-template>
</ion-content>
<!-- <app-tabs></app-tabs> -->
<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>